<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
  require('load_this/load_bigware_11.php');
  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  if (go_not_null($action)) {
    switch ($action) {
      case 'insert':
      case 'save':
        if (isset($_GET['sID'])) $sources_id = go_db_producing_input($_GET['sID']);
        $sources_name = go_db_producing_input($_POST['sources_name']);
        $sql_data_array = array('sources_name' => $sources_name);
        if ($action == 'insert') {
          go_db_carry(DB_TBL_SOURCES, $sql_data_array);
          $sources_id = go_db_insert_id();
        } elseif ($action == 'save') {
          go_db_carry(DB_TBL_SOURCES, $sql_data_array, 'update', "sources_id = '" . (int)$sources_id . "'");
        }
        go_forward(go_href_link(NAME_OF_FILE_REFERRALS, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'sID=' . $sources_id));
        break;
      case 'deleteconfirm':
        $sources_id = go_db_producing_input($_GET['sID']);
        go_db_query("delete from " . DB_TBL_SOURCES . " where sources_id = '" . (int)$sources_id . "'");
        go_forward(go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page']));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/menu.js"></script>
<script language="javascript" src="load_this/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td>
            <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="5">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="5">
              <tr class="tbUPCountData">
                <td class="tbUPDataInside"><?php echo DB_TBL_ABOVE_REFERRALS; ?></td>
                <td class="tbUPDataInside" align="right"><?php echo DB_TBL_ABOVE_ACTION; ?>&nbsp;</td>
              </tr>
<?php
  $sources_query_raw = "select sources_id, sources_name from " . DB_TBL_SOURCES . " order by sources_name";
  $sources_split = new splitPageResults($_GET['page'], MAX_SHOW_SEARCH_RESULTS, $sources_query_raw, $sources_query_numrows);
  $sources_query = go_db_query($sources_query_raw);
  while ($sources = go_db_fetch_array($sources_query)) {
    if ((!isset($_GET['sID']) || (isset($_GET['sID']) && ($_GET['sID'] == $sources['sources_id']))) && !isset($sInfo) && (substr($action, 0, 3) != 'new')) {
      $sInfo = new objectInfo($sources);
    }
    if (isset($sInfo) && is_object($sInfo) && ($sources['sources_id'] == $sInfo->sources_id)) {
      echo '              <tr id="defaultSelected" class="tbCountDataSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sources['sources_id'] . '&action=change') . '\'">' . "\n";
    } else {
      echo '              <tr class="tbCountData" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sources['sources_id']) . '\'">' . "\n";
    }
?>
                <td class="TbInsideData"><?php echo $sources['sources_name']; ?></td>
                <td class="TbInsideData" align="right"><?php if (isset($sInfo) && is_object($sInfo) && ($sources['sources_id'] == $sInfo->sources_id)) { echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif'); } else { echo '<a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sources['sources_id']) . '">' . go_picture(FOLDER_RELATIV_PICTURES . 'icon_info.gif', PICTURE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
  }
?>
              <tr>
                <td colspan="2"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $sources_split->display_count($sources_query_numrows, MAX_SHOW_SEARCH_RESULTS, $_GET['page'], TEXT_SHOW_NUMBER_OF_REFERRALS); ?></td>
                    <td class="smallText" align="right"><?php echo $sources_split->display_links($sources_query_numrows, MAX_SHOW_SEARCH_RESULTS, MAX_SHOW_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
                </table></td>
              </tr>
<?php
  if (empty($action)) {
?>
              <tr>
                <td align="right" colspan="2" class="smallText"><?php echo '<a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id . '&action=new') . '">' . go_picture_button('button_insert.gif', PICTURE_INSERT) . '</a>'; ?></td>
              </tr>
<?php
  }
?>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($action) {
    case 'new':
      $heading[] = array('text' => '<b>' . TEXT_ABOVE_NEW_REFERRAL . '</b>');
      $contents = array('form' => go_fetch_form('sources', NAME_OF_FILE_REFERRALS, 'action=insert', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_NEW_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_REFERRALS_NAME . '<br>' . go_fetch_inputfeld('sources_name'));
      $contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_save.gif', PICTURE_SAVE) . ' <a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $_GET['sID']) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>');
      break;
    case 'change':
      $heading[] = array('text' => '<b>' . TEXT_ABOVE_CHANGE_REFERRAL . '</b>');
      $contents = array('form' => go_fetch_form('sources', NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id . '&action=save', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array('text' => TEXT_CHANGE_INTRO);
      $contents[] = array('text' => '<br>' . TEXT_REFERRALS_NAME . '<br>' . go_fetch_inputfeld('sources_name', $sInfo->sources_name));
      $contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_save.gif', PICTURE_SAVE) . ' <a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>');
      break;
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_ABOVE_DELETE_REFERRAL . '</b>');
      $contents = array('form' => go_fetch_form('sources', NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $sInfo->sources_name . '</b>');
      $contents[] = array('align' => 'center', 'text' => '<br>' . go_picture_submit('button_delete.gif', PICTURE_DELETE) . ' <a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id) . '">' . go_picture_button('button_cancel.gif', PICTURE_CANCEL) . '</a>');
      break;
    default:
      if (isset($sInfo) && is_object($sInfo)) {
        $heading[] = array('text' => '<b>' . $sInfo->sources_name . '</b>');
        $contents[] = array('align' => 'center', 'text' => '<a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id . '&action=change') . '">' . go_picture_button('button_change.gif', PICTURE_CHANGE) . '</a> <a href="' . go_href_link(NAME_OF_FILE_REFERRALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->sources_id . '&action=delete') . '">' . go_picture_button('button_delete.gif', PICTURE_DELETE) . '</a>');
      }
      break;
  }
  if ( (go_not_null($heading)) && (go_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";
    $frame = new frame;
    echo $frame->infoBox($heading, $contents);
    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>
